UnitTest.h File Reference
`#include <string>`
`#include <vector>`
`#include "common.h"`
`#include "Test.h"`
`#include "TestCategoryCaller.h"`

Go to the source code of this file.

## Classes

class | UnitTest

## Macros

#define | ADDTESTCATEGORY(UTCLASS, CMETHOD)

## Macro Definition Documentation

## ADDTESTCATEGORY

#define ADDTESTCATEGORY | ( |  | UTCLASS,
|  |  | CMETHOD )

Value:
addTestCategory (new TestCategoryCaller<UTCLASS> (strip_test(#CMETHOD), getSuite(), this, &UTCLASS::CMETHOD))
TestCategoryCaller
Definition TestCategoryCaller.h:26